Package org.apache.lucene.analysis.synonym.word2vec

## Class Word2VecSynonymProvider

- java.lang.Object
- - org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymProvider

-     public class Word2VecSynonymProvider
      extends Object

  The Word2VecSynonymProvider generates the list of sysnonyms of a term.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Word2VecSynonymProvider​(Word2VecModel model)` | Word2VecSynonymProvider constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<TermAndBoost>` | `getSynonyms​(BytesRef term, int maxSynonymsPerTerm, float minAcceptedSimilarity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Word2VecSynonymProvider

          public Word2VecSynonymProvider​(Word2VecModel model)
                                  throws IOException

      Word2VecSynonymProvider constructor
      Parameters:
        `model` - containing the set of TermAndVector entries
      Throws:
        `IOException`

  - ### Method Detail

    - #### getSynonyms

          public List<TermAndBoost> getSynonyms​(BytesRef term,
                                                int maxSynonymsPerTerm,
                                                float minAcceptedSimilarity)
                                         throws IOException

      Throws:
        `IOException`